| optoMDC

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoKummenberg.registers.InputStage.SignalGenerator Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.SignalGenerator:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
def | SetUnit (self, value)
def | GetUnit (self)
def | Run (self)
def | Stop (self)
def | GetRunningStatus (self)
def | SetShape (self, value)
def | GetShape (self)
def | SetFrequency (self, value)
def | GetFrequency (self)
def | SetAmplitude (self, value)
def | GetAmplitude (self)
def | SetOffset (self, value)
def | GetOffset (self)
def | SetPhase (self, value)
def | GetPhase (self)
def | SetCycles (self, value)
def | GetCycles (self)
def | SetDutyCycle (self, value)
def | GetDutyCycle (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
def | __init__ (self, int or None channel=0, board=None)
def | SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False, float cmd_delay=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_names (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| name
| sys_id
| unit
| run
| shape
| frequency
| amplitude
| offset
| phase
| cycles
| duty_cycle
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Detailed Description

    Input Channel Systems - Signal Generator Channel
    System ID for channel 0: 0x60

    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | Register Name  | Id   | Type        | Unit               | Range       | Default | Comment                |
    +================+======+=============+====================+=============+=========+========================+
    | unit           | 0x00 | uint 32-bit | None               | 0 to 3      |   1     | See registers table 1  |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | run            | 0x01 | bool        | bool               | True / False|   0     |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | shape          | 0x02 | uint 32-bit |    None            | 0 to 3      |   0     | See registers table 2  |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | frequency      | 0x03 | float 32-bit|    Hz              |             |   0     |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | amplitude      | 0x04 | float 32-bit|                    |             |   0     |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | offest         | 0x05 | float 32-bit|                    |             |   0     |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | phase          | 0x06 | float 32-bit| Degrees            | 0 to 360    |   0     |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | cycles         | 0x07 |             |                    |             |  -1     |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+
    | duty_cycle     | 0x08 |   float     |                    | 0 to 1      | 0.5     |                        |
    +----------------+------+-------------+--------------------+-------------+---------+------------------------+

    registers table 1:

    +---------------+-------+
    | Waveform Unit | Value |
    +===============+=======+
    | Current       | 0     |
    +---------------+-------+
    | OF            | 1     |
    +---------------+-------+
    | XY            | 2     |
    +---------------+-------+

    registers table 2:

    +---------------+-------+
    | Wavform Shape | Value |
    +===============+=======+
    | Sinusoidal    | 0     |
    +---------------+-------+
    | Triangular    | 1     |
    +---------------+-------+
    | Rectangular   | 2     |
    +---------------+-------+
    | Sawtooth      | 3     |
    +---------------+-------+
    | Pulse         | 4     |
    +---------------+-------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.registers.InputStage.SignalGenerator.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ GetAmplitude()

def optoKummenberg.registers.InputStage.SignalGenerator.GetAmplitude | ( |  | self | ) |

## ◆ GetCycles()

def optoKummenberg.registers.InputStage.SignalGenerator.GetCycles | ( |  | self | ) |

## ◆ GetDutyCycle()

def optoKummenberg.registers.InputStage.SignalGenerator.GetDutyCycle | ( |  | self | ) |

## ◆ GetFrequency()

def optoKummenberg.registers.InputStage.SignalGenerator.GetFrequency | ( |  | self | ) |

## ◆ GetOffset()

def optoKummenberg.registers.InputStage.SignalGenerator.GetOffset | ( |  | self | ) |

## ◆ GetPhase()

def optoKummenberg.registers.InputStage.SignalGenerator.GetPhase | ( |  | self | ) |

## ◆ GetRunningStatus()

def optoKummenberg.registers.InputStage.SignalGenerator.GetRunningStatus | ( |  | self | ) |

## ◆ GetShape()

def optoKummenberg.registers.InputStage.SignalGenerator.GetShape | ( |  | self | ) |

## ◆ GetUnit()

def optoKummenberg.registers.InputStage.SignalGenerator.GetUnit | ( |  | self | ) |

## ◆ help()

def optoKummenberg.registers.InputStage.SignalGenerator.help | ( |  | ) |
| static

## ◆ Run()

def optoKummenberg.registers.InputStage.SignalGenerator.Run | ( |  | self | ) |

## ◆ SetAmplitude()

def optoKummenberg.registers.InputStage.SignalGenerator.SetAmplitude | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetCycles()

def optoKummenberg.registers.InputStage.SignalGenerator.SetCycles | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetDutyCycle()

def optoKummenberg.registers.InputStage.SignalGenerator.SetDutyCycle | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetFrequency()

def optoKummenberg.registers.InputStage.SignalGenerator.SetFrequency | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetOffset()

def optoKummenberg.registers.InputStage.SignalGenerator.SetOffset | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetPhase()

def optoKummenberg.registers.InputStage.SignalGenerator.SetPhase | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetShape()

def optoKummenberg.registers.InputStage.SignalGenerator.SetShape | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetUnit()

def optoKummenberg.registers.InputStage.SignalGenerator.SetUnit | ( |  | self,
|  |  | value
| ) |  |

## ◆ Stop()

def optoKummenberg.registers.InputStage.SignalGenerator.Stop | ( |  | self | ) |

## Member Data Documentation

## ◆ amplitude

optoKummenberg.registers.InputStage.SignalGenerator.amplitude

## ◆ cycles

optoKummenberg.registers.InputStage.SignalGenerator.cycles

## ◆ duty_cycle

optoKummenberg.registers.InputStage.SignalGenerator.duty_cycle

## ◆ frequency

optoKummenberg.registers.InputStage.SignalGenerator.frequency

## ◆ name

optoKummenberg.registers.InputStage.SignalGenerator.name

## ◆ offset

optoKummenberg.registers.InputStage.SignalGenerator.offset

## ◆ phase

optoKummenberg.registers.InputStage.SignalGenerator.phase

## ◆ run

optoKummenberg.registers.InputStage.SignalGenerator.run

## ◆ shape

optoKummenberg.registers.InputStage.SignalGenerator.shape

## ◆ sys_id

optoKummenberg.registers.InputStage.SignalGenerator.sys_id

## ◆ unit

optoKummenberg.registers.InputStage.SignalGenerator.unit

The documentation for this class was generated from the following file:

- C:/Users/johnathon.barhydt/PycharmProjects/138-882-00_optoMDC/src/main/python/optoKummenberg/registers/InputStage.py